import 'package:flutter/material.dart';
import 'package:ocg_payment/src/metadata/colors.dart';

class FormStyle {
  static const defaultTextFieldInputStyle = TextStyle(
    fontSize: 14,
    color: MetaColors.primary,
    decoration: TextDecoration.none,
  );

  static const helperStyleDefault = TextStyle(
    fontSize: 12,
    color: MetaColors.addProfileFormHeader,
  );

  static const Divider divider = const Divider(
    color: MetaColors.lightGrey4,
    thickness: 0.5,
    height: 10,
  );

  static const labelStyleDefault = TextStyle(
    fontSize: 15,
    color: MetaColors.lightGrey4,
    fontWeight: FontWeight.w400,
  );

  static const hintStyleDefault = TextStyle(
    fontSize: 15,
    color: MetaColors.lightGrey4,
  );

  static const lightGreySmall = TextStyle(
    fontSize: 12,
    color: MetaColors.lightGrey4,
  );

  static const UnderlineInputBorder border = UnderlineInputBorder(
      borderSide:
          BorderSide(color: MetaColors.addCoHostsSeparator, width: 2.25));

  static const UnderlineInputBorder addBankEnabledBorder = UnderlineInputBorder(
      borderSide: BorderSide(
          color: MetaColors.lightGrey2, width: 2, style: BorderStyle.solid));

  static const UnderlineInputBorder addBankFocusedBorder = UnderlineInputBorder(
    borderSide: BorderSide(color: MetaColors.primary, width: 1.5),
  );

  static const UnderlineInputBorder addMilestoneBorder = UnderlineInputBorder(
    borderSide: BorderSide(color: MetaColors.darkGrey, width: 1.5),
  );

  static const manageAutomaticWithdrawLabelStyle =
      TextStyle(color: MetaColors.darkGrey);

  static const TextStyle addBankAccountLabelStyle =
      TextStyle(color: MetaColors.darkGrey, fontSize: 15);

  static const TextStyle inviteProviderlabelStyle = TextStyle(
    color: MetaColors.darkGrey2,
    fontSize: 17,
  );

  static const TextStyle modifyServiceDisabledStyle = TextStyle(
      color: MetaColors.advancedInvitationHintText,
      fontSize: 20,
      fontWeight: FontWeight.w500);

  static const TextStyle inputStyle = TextStyle(
    color: MetaColors.primary,
    fontSize: 20,
    decoration: TextDecoration.none,
  );

  static const TextStyle inviteProviderAdvancedLabelStyle = TextStyle(
    color: MetaColors.addProfileFormHeader,
    fontSize: 15,
  );

  static const TextStyle formSuffixStyle = TextStyle(
    color: MetaColors.suffixTextAddProfile,
    fontSize: 15,
  );

  static const TextStyle formInputStyle =
      TextStyle(color: MetaColors.primary, fontSize: 20);

  static const TextStyle feeFormInput =
      TextStyle(color: MetaColors.primary, fontSize: 25);
}
