import 'package:flutter/foundation.dart';
import 'package:ocg_payment/src/modals/amount.dart';

class PaymentBalance {
  final String id;
  final String userId;
  final Amount amount;

  PaymentBalance(this.id, this.userId, this.amount);

  PaymentBalance.named({this.id, this.userId, this.amount});

  PaymentBalance copyWith({String id, String userId, Amount amount}) {
    return PaymentBalance.named(
        amount: amount ?? this.amount,
        userId: userId ?? this.userId,
        id: id ?? this.id);
  }

  PaymentBalance addBalance(Amount amount) {
    return copyWith(amount: amount + this.amount);
  }
}
