import 'package:json_annotation/json_annotation.dart';

part 'response.g.dart';

@JsonSerializable(explicitToJson: true)
class PaymentResponse {
  final String id;
  final String title;
  final int amount;
  final bool isCredited;
  final DateTime recordedAt;
  final Map<String, dynamic> metadata;

  PaymentResponse(this.id, this.title, this.amount, this.isCredited,
      this.recordedAt, this.metadata);

  PaymentResponse.named({
    this.id,
    this.title,
    this.amount,
    this.isCredited,
    this.recordedAt,
    this.metadata,
  });

  Map<String, dynamic> toJson() => _$PaymentResponseToJson(this);

  factory PaymentResponse.fromJson(json) => _$PaymentResponseFromJson(json);

  PaymentResponse copyWith(
      {String id,
      String title,
      int amount,
      bool isCredited,
      DateTime recordedAt,
      String razorpayId,
      Map<String, dynamic> metadata}) {
    return PaymentResponse.named(
        id: id ?? this.id,
        amount: amount ?? this.amount,
        isCredited: isCredited ?? this.isCredited,
        recordedAt: recordedAt ?? this.recordedAt,
        title: title ?? this.title,
        metadata: metadata ?? this.metadata);
  }
}
