import 'package:json_annotation/json_annotation.dart';

part 'transaction.g.dart';

@JsonSerializable(explicitToJson: true)
class PaymentTransaction {
  final String id;
  final String userId;
  final String title;
  final int amount;
  final String currency;
  final bool isCredited;
  final DateTime recordedAt;

  PaymentTransaction(this.id, this.userId, this.title, this.amount,
      this.currency, this.isCredited, this.recordedAt);

  PaymentTransaction.named(
      {this.id,
      this.userId,
      this.title,
      this.amount,
      this.currency,
      this.isCredited,
      this.recordedAt});

  Map<String, dynamic> toJson() => _$PaymentTransactionToJson(this);

  factory PaymentTransaction.fromJson(json) =>
      _$PaymentTransactionFromJson(json);
}
